Create secret key
curl --request POST \
--url https://api.lava.so/v1/secret_keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Production API Key"
}
'import requests
url = "https://api.lava.so/v1/secret_keys"
payload = { "name": "Production API Key" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Production API Key'})
};
fetch('https://api.lava.so/v1/secret_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secret_key_id": "<string>",
"name": "<string>",
"secret_key_hint": "<string>",
"secret_key": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid authentication credentials",
"code": "forward_token_json_invalid",
"status": 400,
"issues": [
{
"path": [
"model"
],
"message": "Missing required field: model"
},
{
"path": [
"messages",
"0",
"content"
],
"message": "Invalid message content format"
}
]
}
}{
"error": {
"message": "Invalid authentication credentials",
"code": "forward_token_json_invalid",
"status": 400,
"issues": [
{
"path": [
"model"
],
"message": "Missing required field: model"
},
{
"path": [
"messages",
"0",
"content"
],
"message": "Invalid message content format"
}
]
}
}Secret Keys
Create secret key
Create a new API secret key. The full secret_key value is returned only once in the creation response. Maximum 100 keys per merchant.
POST
/
secret_keys
Create secret key
Authorizations
Bearer token authentication used for standard API calls. Format: 'Bearer YOUR_API_KEY'
Body
application/json
Display name for the secret key
Example:
"Production API Key"
Response
Secret key created (includes full secret_key — only returned once)
Secret key with full key value. The secret_key is only returned once on creation.
Unique identifier for the secret key
Display name of the secret key
Last 4 characters of the secret key
Full secret key value. Only returned once on creation — store it securely.
When the secret key was created
⌘I